This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 14710 - Warn of KB shortcut collision
Summary: Warn of KB shortcut collision
Status: CLOSED WONTFIX
Alias: None
Product: projects
Classification: Unclassified
Component: Ant (show other bugs)
Version: 3.x
Hardware: PC Linux
: P4 blocker (vote)
Assignee: Jesse Glick
URL: http://openide.netbeans.org/proposals...
Keywords:
Depends on: 15926 18868
Blocks:
  Show dependency tree
 
Reported: 2001-08-22 21:55 UTC by Jesse Glick
Modified: 2008-11-05 15:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2001-08-22 21:55:42 UTC
Ant shortcut wizard: should warn you if a given keyboard shortcut is
already taken (does not generally work well to overwrite old ones).
Comment 1 Jan Chalupa 2001-11-27 10:41:18 UTC
Target milestone -> 3.3.1
Comment 2 Jesse Glick 2002-01-22 10:15:29 UTC
Should be fixed more generally in the context of the Actions API
proposal. If Ant shortcuts are a kind of action in Templates/Actions/,
then the default core UI for creating them and adding KB shortcuts
should suffice, which of course would warn of collisions.
Comment 3 Marian Mirilovic 2005-07-12 09:04:06 UTC
closed
Comment 4 Marian Mirilovic 2008-11-05 15:40:27 UTC
c